
%define plugin	osdteletext
%define name	vdr-plugin-%plugin
%define version	0.9.1
%define rel	4

Summary:	VDR plugin: Displays teletext on the OSD
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://projects.vdr-developer.org/projects/show/plg-osdteletext
Source:		vdr-%plugin-%version.tgz
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
Osd-Teletext displays the teletext directly on the OSD.
Both sound and video are played in the background.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep

# check default cache dir
grep "\"%{_vdr_plugin_cachedir}/vtx\"" txtrecv.c

perl -pi -e 's|../../man|.|' Makefile

%vdr_plugin_params_begin %{plugin}
# Directory for the teletext page cache.
# default: %{_vdr_plugin_cachedir}/vtx
var=DIRECTORY
param=--directory=DIRECTORY
# Maximum cache size in MB.
# default: a calculated value below 50 MB
var=MAX_CACHE
param=--max-cache=MAX_CACHE
# Cache system to be used:
# legacy: traditional one-file-per-page system
# packed: one-file-for-a-few-pages system
# default: packed
var=CACHE_SYSTEM
param=--cache-system=CACHE_SYSTEM
# Store top text pages at cache. (unviewable pages)
var=STORE_TOPTEXT
param=-t
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cachedir}/vtx

%pre
if [ -d /var/cache/vdr/osdteletext ] && ! [ -d %{_vdr_plugin_cachedir}/vtx ]; then
	mv /var/cache/vdr/osdteletext %{_vdr_plugin_cachedir}/vtx || :
fi

%files -f %plugin.vdr
%doc README* COPYING HISTORY
%attr(-,vdr,vdr) %{_vdr_plugin_cachedir}/vtx


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.9.1-4.mga3
+ Revision: 385296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.9.1-3.mga3
+ Revision: 325528
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.9.1-2.mga2
+ Revision: 221049
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.9.1-1.mga2
+ Revision: 214827
- new version 0.9.1

* Sat May 14 2011 anssi <anssi> 0.9.0-1.mga1
+ Revision: 98461
- new version
- update sysconfig for new version
- drop old scriplets
- fix license tag
- imported package vdr-plugin-osdteletext

